id: vaisseau-000
type: Location
events:
  info:
    - props: ordi-hyper-espace-000:actif
      actor: |
        Hall du vaisseau fracassé sur Jabiim
    - actor: "Vaisseau dans l'espace, près de l'Étoile Noire."
  look:
    - props: ordi-hyper-espace-000:actif
      actor: |
        Vous remarquez que le hall du vaisseau est sans dessus-dessous ! La porte
        de la soute semble dysfonctionner et est resté ouverte.
    - actor: |
        Vous êtes dans un vaisseau spatial en plein affrontement
        entre les Rebelles et l'Empire. À l'avant se trouve le tableau de bord
        du vaisseau. À l'arrière se trouve la soute du
        vaisseau et plus loin, sa salle machine.
  crash-vaisseau:
    observer: |
      BAM !! Le vaisseau vient de se crasher sur Jabiim ! Miraculeusement, tout le monde a survécu. Le module d'hyper-espace s'est arrêté, c'est le silence total. Seul un bruit étrange résonne en direction de la paroi gauche de la soute...
  activation-bouton:
    observer: |
      Quelqu'un vient d'appuyer sur le bouton de refroidissement. Le module d'hyper-espace est maintenant fonctionnel.
---
id: portal-vaisseau-tableau-000
type: Portal
exits:
  - id: vaisseau-000-avant
    location: vaisseau-000
    direction: avant
    events:
      enter-portal:
        actor   : "Vous vous asseyez sur le siège devant le tableau de commande."
        observer: "{{ actor.name }} s'assoie devant le tableau de commande du vaisseau."
      leave-portal:
        observer: "{{ actor.name }} se lève du siège et vous rejoint dans le hall du vaisseau."
  - id: tableau-000-arriere
    location: tableau-000
    direction: arriere
    events:
      enter-portal:
        actor   : "Vous vous levez du siège et rejoignez le hall."
        observer: "{{ actor.name }} se lève et rejoint le hall."
      leave-portal:
        observer: "{{ actor.name }} s'assoie à côté de vous."
---
id: tableau-000
type: Location
events:
  info:
    actor: "Devant le tableau de bord du vaisseau."
  look:
    - props: ordi-hyper-espace-000:actif
      actor: |
        Le tableau de bord est complètement HS... 
    - actor: |
        Vous vous retrouvez devant une multitude de boutons qui clignotent, certainement parce que vous avez essuyé un tir dans la bataille. Vous remarquez au milieu du tableau de bord un écran d'ordinateur du module d'hyper-espace. Si vous tapez des coordonnées, vous pourrez propulser le vaisseau dans l'hyper-espace. Il y a aussi sur votre droite un écran de messagerie que vous pouvez examiner.
  crash-vaisseau:
    observer: |
      BAM !! Le vaisseau vient de se crasher sur Jabiim ! Miraculeusement, tout le monde a survécu. Le module d'hyper-espace s'est arrêté, c'est le silence total. Seul un bruit étrange résonne en direction de la paroi gauche de la soute...
  activation-bouton:
    observer: |
      Quelqu'un vient d'appuyer sur le bouton de refroidissement. Le module d'hyper-espace est maintenant fonctionnel.
parts:
  - ordi-hyper-espace-000
  - messagerie-000
---
id: ordi-hyper-espace-000
type: Thing
names:
  - ordinateur
  - ordi
props:
  - -=ordi-hyper-espace-000:actif
events:
  info:
    actor: "Un ordinateur pour activer le module d'hyper-espace"
  look:
    actor: "C'est un ordinateur permettant de propulser le vaisseau dans l'hyper-espace après y avoir entré des coordonnées."
  type:
    # Le module est en surchauffe
    - props:
        - -=ordi-hyper-espace-000:actif
        - -bouton-bleu-000:actif
      actor: |
        Le module d'hyper-espace semble en surchauffe ! Ce serait une mauvaise idée d'entrer les coordonnées pour l'activer maintenant. Essayez de trouver un moyen de le refroidir dans la salle machine.
      observer: &module000 "{{ actor.name }} tente en vain de propulser le vaisseau dans l'hyper-espace."
    # Le module n'est plus en surchauffe et bonnes coordonnées
    - props:
        - -=ordi-hyper-espace-000:actif
        - event:typed-x8746y3320z5747
      effects:
        - type  : ChangePropEffect
          modifs: =ordi-hyper-espace-000:actif
        - type  : NarrativeEffect
          at    : =tableau-000
          key   : crash-vaisseau
        - type  : NarrativeEffect
          at    : =vaisseau-000
          key   : crash-vaisseau
        - type  : NarrativeEffect
          at    : =soute-000
          key   : crash-vaisseau
        - type  : NarrativeEffect
          at    : =salle-machine-000
          key   : crash-vaisseau
      actor: "Coordonnées correctes ! Le vaisseau se propulse dans l'hyper-espace."
      observer: "{{ actor.name }} vient d'entrer les bonnes coordonnées dans le module ! Le vaisseau se propulse dans l'hyper-espace."
    # Le module n'est plus en surchauffe mais mauvaises coordonnées
    - props: -=ordi-hyper-espace-000:actif
      actor: "Les coordonnées que vous venez d'entrer dans le module sont incorrectes."
      observer: "{{ actor.name }} vient d'entrer de mauvaises coordonnées dans le module."
    # Le vaisseau est crashé
    - props: =ordi-hyper-espace-000:actif
      actor: |
        Votre vaisseau est crashé sur Jabiim, le module n'est plus fonctionnel... Vous pensiez vraiment pouvoir redécoller dans l'hyper-espace ?
      observer: |
        {{actor.name}} tente d'activer l'hyper-espace alors que le vaisseau s'est crash ! >_<
---
id: messagerie-000
type: Container
name: messagerie
events:
  look:
    - props: ordi-hyper-espace-000:actif
      actor: |
        Suite au crash, la messagerie a bugué et un message s'écrit en boucle sur l'écran: 
        Aujourd'hui à 38h26 horaire galactique standard ... BBBzzzzBBBZzzzz ...
        Bonjour, je me nomme Han Solo et j'ai une mission à vous confier, si vous l'acceptez.
        Une relique d'une importance capitale a été identifiée sur la planète Jabiim dont je
        vous envoie les coordonnées. La position exacte de la relique est écrite sur une carte que j'ai laissée quelque part dans le vaisseau.
        Cette relique pourrait nous permettre de gagner la guerre une bonne fois pour toute
        contre l'Empire. Le temps presse car l'achèvement de la construction de l'Étoile de la Mort
        est imminente ! Vous êtes mon meilleur élément, alors je compte sur vous !
    - actor: |
        Vous avez un nouveau message ... Aujourd'hui à 38h26 horaire galactique standard ... BBBzzzzBBBZzzzz ...
        Bonjour, je me nomme Han Solo et j'ai une mission à vous confier, si vous l'acceptez.
        Une relique d'une importance capitale a été identifiée sur la planète Jabiim dont je
        vous envoie les coordonnées. La position exacte de la relique est écrite sur une carte que j'ai laissée quelque part dans le vaisseau.
        Cette relique pourrait nous permettre de gagner la guerre une bonne fois pour toute
        contre l'Empire. Le temps presse car l'achèvement de la construction de l'Étoile de la Mort
        est imminente ! Vous êtes mon meilleur élément, alors je compte sur vous !
 
contains:
  - coordonnees-000
---
id: coordonnees-000
type: Thing
name:
  - document contenant les coordonnées de Jabiim
  - coordonnées
  - coordonnees
props:
  - takable
events:
  info:
    actor: "Les coordonnées de la planète Jabiim"
  look:
    actor: |
      Voici les coordonnées permettant d'aller sur la planète Jabiim,
      lieu d'une relique mystérieuse : x8746y3320z5747
---
id: portal-vaisseau-soute-000
type: Portal
exits:
  - id: vaisseau-000-arriere
    location: vaisseau-000
    direction: arriere
    events:
      enter-portal:
        actor   : "Vous entrez dans la soute du vaisseau."
        observer: "{{ actor.name }} se dirige vers la soute du vaisseau."
      leave-portal:
        observer: "{{ actor.name }} vous rejoint dans la soute."
  - id: soute-000-avant
    location: soute-000
    direction: avant
    events:
      enter-portal:
        actor   : "Vous rejoignez le hall du vaisseau."
        observer: "{{ actor.name }} rejoint le hall du vaisseau."
      leave-portal:
        observer: "{{ actor.name }} vous rejoint dans la soute."
---
id: soute-000
type: Location
events:
  info:
    actor: "Dans la soute du vaisseau."
  look:
    - props : ordi-hyper-espace-000:actif
      actor: |
        Tout le matériel rangé soyeusement par vos soins a été chambardé... De plus, vous constatez un trou béant dans la carrosserie à votre gauche. Des branches évitent le passage vers l'extérieur.
    - actor: |
        Vous vous trouvez dans la soute du vaisseau. Vers l'avant se trouve le hall du vaisseau. En bas se trouve la salle machine.
  crash-vaisseau:
    observer: |
      BAM !! Le vaisseau vient de se crasher sur Jabiim ! Miraculeusement, tout le monde a survécu. Le module d'hyper-espace, c'est le silence total. Seul un bruit étrange résonne en direction de la paroi gauche de la soute...
  activation-bouton:
    observer: |
      Quelqu'un vient d'appuyer sur le bouton de refroidissement. Le module d'hyper-espace est maintenant fonctionnel.
contains:
  - carte-relique-000
  - machette-000
---
id: carte-relique-000
type: Thing
name: carte
gender: fem
props:
  - takable
  - key-to-find-relique-000
events:
  info:
    actor: "La carte au trésor de la relique"
  look:
    actor: |
      Cette carte indique qu'après la forêt sinistre d'Endor, il faut traverser un pont puis filer vers la direction : nord42.
---
id: machette-000
type: Thing
name: machette
gender: fem
props:
  - takable
  - key-for-trou-soute-000
  - key-for-cabane-000
events:
  info:
    actor: "Une machette robuste"
  look:
    actor: "Cette machette pourrait couper tout et n'importe quoi."
---
id: portal-soute-salle-machine-000
type: Portal
exits:
  - id: soute-000-bas
    location: soute-000
    direction: bas
    events:
      enter-portal:
        actor   : "Vous empruntez une échelle vous menant dans la salle machine."
        observer: "{{ actor.name }} emprunte l'échelle menant vers la salle machine."
      leave-portal:
        observer: "{{ actor.name }} remonte à l'échelle et vous rejoint dans la soute."
  - id: salle-machine-000-haut
    location: salle-machine-000
    direction: haut
    events:
      enter-portal:
        actor   : "Vous montez à l'échelle pour rejoindre la soute du vaisseau."
        observer: "{{ actor.name }} sort de la salle machine pour rejoindre la soute."
      leave-portal:
        observer: "{{ actor.name }} descend de l'échelle et vous rejoint dans la salle machine."
---
id: salle-machine-000
type: Location
parts:
  - bouton-bleu-000
events:
  info:
    actor: "Salle machine du vaisseau spatial."
  look:
    actor: |
      Vous êtes dans la salle machine. Devant vous se trouve le module d'hyper-espace. Il possède un bouton de refroidissement.
  activation-bouton:
    observer: |
      {{ actor.name }} vient d'appuyer sur le bouton de refroidissement. Le module d'hyper-espace est maintenant fonctionnel.
  crash-vaisseau:
    observer: |
      BAM !! Le vaisseau vient de se crasher sur Jabiim ! Miraculeusement, tout le monde a survécu. Le module d'hyper-espace s'est arrêté, c'est le silence total. Seul un bruit étrange résonne en direction de la paroi gauche de la soute...
---
id: bouton-bleu-000
type: Thing
name:
  - bouton
  - bouton bleu
  - bouton de refroidissement
  - bouton bleu de refroidissement
props:
  - pushable
  - -=bouton-bleu-000:actif
events:
  look:
    actor: "C'est un bouton permettant de refroidir le module d'hyper-espace en cas de surchauffe."
  push:
    - props: -=bouton-bleu-000:actif
      actor: "Vous appuyez sur le bouton de refroidissement. Le module d'hyper-espace est maintenant fonctionnel."
      observer: |
        {{ actor.name }} vient d'appuyer sur le bouton de refroidissement. Le module d'hyper-espace est maintenant fonctionnel.
      effects:
        - type  : NarrativeEffect
          at    : =tableau-000
          key   : activation-bouton
        - type  : NarrativeEffect
          at    : =vaisseau-000
          key   : activation-bouton
        - type  : NarrativeEffect
          at    : =soute-000
          key   : activation-bouton
        - type  : ChangePropEffect
          modifs: =bouton-bleu-000:actif
    - actor: "Le module est déjà refroidit et fonctionnel."
      observer: |
        {{ actor.name }} appuie stupidement sur le bouton de refroidissement alors qu'il est déjà fonctionnel.
---
id: portal-soute-zone-crash-000
type: Portal
props:
  - closed
exits:
  - id: soute-000-gauche
    location: soute-000
    direction: gauche
    names:
      - trou
      - passage
      - branches
      - branche
    events:
      enter-portal:
        actor: "Vous passez par le trou du vaisseau et vous retrouvez sur Jabiim."
        observer: "{{ actor.name }} sort du vaisseau par le trou de la paroi gauche de la soute."
        failed:
        # On fait croire qu'il n'existe aucun portail au départ
        - props: -ordi-hyper-espace-000:actif
          actor: "Il n'y a pas d'issue dans cette direction."
        # Après le crash, sans machette on ne peut passer
        - actor: "Vous remarquez des branches qui rentrent depuis la paroi gauche de la soute. En vous rapprochant, vous remarquez qu'un trou s'est créé lors du crash. Malheureusement, il vous est impossible de passer à travers toutes ces branches. Essayez de trouver un moyen d'ouvrir le passage avec quelque chose..."
          observer: "{{ actor.name }} tente en vain de passer à travers les branches."
      leave-portal:
        observer: &trou000 "{{ actor.name }} rentre dans le vaisseau par le trou."
      open:
        - props:
            - portal:closed
            - ordi-hyper-espace-000:actif
          actor: |
            Impossible d'ouvrir le passage avec seulement la force de vos mains...
          observer: |
            {{ actor.name }} tente en vain d'ouvrir le passage.
        - props: -portal:closed
          actor: &trou001 "Le passage est déjà libre !"
          observer: &trou002 "{{ actor.name }} essaye d'ouvrir le passage alors qu'il est déjà libre..."
      open-with:
        - props:
            - portal:closed
            - ordi-hyper-espace-000:actif
            - object2:key-for-trou-soute-000
          effects:
            type: ChangePropEffect
            modifs: -portal:closed
          actor: |
            Vous sortez votre machette et découpez avec acharnement toutes les branches. La voie est maintenant libre !
          observer: |
            {{ actor.name }} a libéré le passage !
        - props:
            - portal:closed
            - ordi-hyper-espace-000:actif
            - -object2:key-for-trou-soute-000
          actor: |
            Ouvrir le passage avec {{ object2.noun_the() }} ne semble pas une bonne idée...
          observer: |
            {{ actor.name }} essaye d'ouvrir le passage avec {{ object2.noun_the() }}, et bien entendu n'y arrive pas...
        - props:
            - -portal:closed
            - ordi-hyper-espace-000:actif
          actor: *trou001
          observer: *trou002
  - id: zone-crash-000-arriere
    location: zone-crash-000
    direction: arriere
    events:
      enter-portal:
        actor: "Vous rentrez dans le vaisseau par le trou."
        observer: *trou000
      leave-portal:
        observer: "{{ actor.name }} sort du vaisseau par le trou."
---
id: zone-crash-000
type: Location
events:
  info:
    actor: "La zone du crash du vaisseau sur Jabiim."
  look:
    actor: "Vous sortez indemne du vaisseau ! Vous vous dégourdissez les jambes et apercevez a votre droite un sentier,
            semble-t-il aménager par une race humanoïde."
---
id: portal-zone-crash-foret-000
type: Portal
exits:
  - id: zone-crash-000-droite
    location: zone-crash-000
    direction: droite
    events:
      enter-portal:
        actor: "Vous empruntez le chemin et vous vous aventurez dans une forêt qui n'inspire pas confiance..."
        observer: &foret001 "{{actor.name}} s'aventure dans une forêt mystérieuse..."
      leave-portal:
        observer: &foret000 "{{actor.name}} a eu peur de la forêt et retourne au vaisseau !"
  - id: foret-000-derriere
    location: foret-000
    direction: arriere
    events:
      enter-portal: 
        actor: "Vous semblez vous inquiétez de l'ambiance de la forêt et décidez de vous réfugiez vers le vaisseau."
        observer: *foret000
      leave-portal:
        observer: *foret001
---
id: foret-000
type: Location
events:
  info:
    actor: "La forêt sinistre d'Endor"
  look:
    actor: |
      Une brume humide recouvre entièrement cette forêt et vous vous sentez observé par des présences hostiles ou non... vous ne savez pas.
      Derrière vous, vous pouvez toujours repartir vers votre vaisseau et devant vous, vous pouvez vous enfoncez et trouvez peut être des signes
      de vies pour identifier la position exact de la relique. Une cabane a l'abandon croupi derrière de grosses branches à droite.
---
id: portal-foret-cabane-000
type: Portal
props:
  - closed
exits:
  - id: foret-cabane-droite-000
    location: foret-000
    direction: droite
    names:
      - branche
      - branches
      - "grosses branches"
      - cabane
    events:     
      enter-portal:
        actor: "Vous arrivez a vous immiscer dans la cabane avec brio"
        observer: "{{actor.name}} est rentré dans la cabane avec succès"
      leave-portal:
        observer: "{{actor.name}} sort de la cabane et revient dans la forêt"
      open:
        - props: portal:closed
          actor: |
            Impossible d'ouvrir le passage avec seulement la force de vos mains...
          observer: |
            {{ actor.name }} tente en vain d'ouvrir le passage.
        - props: -portal:closed
          actor: &cabane000 "Le passage est déjà libre !"
          observer: &cabane001 "{{ actor.name }} essaye d'ouvrir le passage alors qu'il est déjà libre..."
      open-with:
        - props: 
            - portal:closed
            - object2:key-for-cabane-000
          effects:
            type: ChangePropEffect
            modifs: -portal:closed
          actor: |
            Vous sortez votre machette une nouvelle fois et découpez avec acharnement toutes les branches. La voie est maintenant libre !
          observer: |
            {{ actor.name }} a libéré le passage vers la cabane.
        - props:
            - -object2:key-for-cabane-000
            - portal:closed
          actor: |
            Ouvrir le passage avec {{ object2.noun_the() }} ne semble pas une bonne idée...
          observer: |
            {{ actor.name }} essaye d'ouvrir le passage avec {{ object2.noun_the() }}, et bien entendu n'y arrive pas...
        - props:
            - -portal:closed
          actor: *cabane000
          observer: *cabane001
  - id: cabane-000-arriere
    location: cabane-000
    direction: arriere
    events:
      enter-portal:
        actor: "Vous revenez dans la forêt."
        observer: "{{ actor.name }} repart dans la forêt."
      leave-portal:
        observer: "{{ actor.name }} entre avec vous dans la cabane."
---
id: cabane-000
type: Location
events:
  info:
    actor: "Une cabane abandonnée"
  look:
    actor: |
      En entrant dans la cabane, vous remarquez l'état très endommagé de la cabane par la luxure du temps.
contains:
  - marteau-000
---
id: marteau-000
type: Thing
name:
  - marteau
props:
  - takable
  - key-for-pont-000
events:
  info:
    actor: "Un marteau"
  look: 
    actor: |
      C'est un marteau ayant la particularité de pouvoir réparer tout et n'importe quoi.
---
id: portal-foret-prison-000
type: Portal
exits:
  - id: foret-prison-devant-000
    location: foret-000
    direction: avant
    events:
      enter-portal:
        actor: |
          En s'aventurant plus profondément dans la forêt, vous apercevez une lumière, celle d'un landspeeder
          rejoignant sans doute... un village ! Vous vous mettez à courir pour le suivre du mieux que vous pouvez quand
          soudain... Paf ! une chute de pierre vous assomme.
          Vous vous retrouvrez quelques minutes plus tard ligoté à un arbre par des Ywokes très craintifs de vous.
        observer: &prison000 "{{actor.name}} se retrouve ligoter en prison."
  - id: prison-foret-000
    location: prison-000
    events:
      leave-portal:
        observer: *prison000
---
id: prison-000
type: Location
events:
  info:
    actor: "La prison des Ywoke"
  look:
    actor: |
      Autour de vous, il y a 3 Ywokes qui vous regardent, l'air surpris et craintifs de vous avoir retrouvé 
      dans une forêt perdu, et sur une planète paumé qui plus est ! Vous remarquez que vous êtes en haut d'une cabane d'Ywoke
      et qu'en bas un barbecue est préparé en votre honneur... pour vous faire cuire sans doute ?
      Devant vous, il y a un passage menant à une autre cabane, c'est peut être le moyen de vous enfuir d'autant plus que vos liens ont été
      fait à la hâte.
---
id: portal-prison-000-prison-001
type: Portal
exits:
  - id: prison-000-prison-001-devant
    location: prison-000
    direction: avant
    events:
      enter-portal:
        actor: |
          Vous vous débarrassez des liens sans problèmes et courez en direction du passage. Les Ywokes ont trop peur de vous
          pour vous pourchasser ou vous assomer à nouveau.
        observer: &prison001 "{{actor.name}} s'enfuie de la prison."
  - id: prison-001-prison-000-arriere
    location: prison-001
    events:
      leave-portal:
        observer: *prison001
---
id: portal-foret-pont-000
type: Portal
exits:
  - id: foret-000-vide
    location: foret-000
    events:
      leave-portal:
        observer: "{{ actor.name }} vous rejoint depuis derrière un buisson."
  - id: prison-001-derriere
    location: prison-001
    direction: arriere
    events:
      enter-portal:
        actor: "Vous retournez dans la forêt en contournant la prison des Ywokes."
        observer: "{{ actor.name }} retourne en forêt."
---
id: prison-001
type: Location
events:
  info:
    actor: |
      Devant le "pont".
  look:
    actor: |
      Vous vous retrouvez au bout de la plateforme et constatez devant vous qu'il n'y a plus de pont !
      Mais par où descendre ? Y aurait-il un moyen de réparer ce petit pont ?
---
id: portal-prison-001-foret-001
type: Portal
props:
  - closed
exits:
  - id: prison-001-foret-001-exit-1
    location: prison-001
    direction: avant
    name: pont
    events:
      enter-portal:
        actor: &pont000 "Vous traversez le pont."
        observer: &pont001 "{{ actor.name }} traverse le pont."
        failed:
          actor: "Le pont est cassé. Sans aucune réparation, impossible de le traverser..."
      leave-portal:
        observer: &pont002 "{{ actor.name }} vous rejoint en traversant le pont."
      open:
        - props: portal:closed
          actor: "Difficile à faire sans outil..."
          observer: "{{ actor.name }} tente en vain de réparer le pont."
        - props: -portal:closed
          actor: &pont003 "Le pont est déjà réparé."
      open-with:
        - props:
            - portal:closed
            - object2:key-for-pont-000
          actor: "Et hop ! Deux trois coups de marteau et vous réparez ce pont avec succès !"
          observer: "{{ actor.name }} a réussi à réparer le pont !"
          effects:
            type: ChangePropEffect
            modifs: -portal:closed
        - props:
            - portal:closed
            - -object2:key-for-pont-000
          actor: "Mhh.. Cet objet ne répare pas grand chose..."
        - actor: *pont003
  - id: prison-001-foret-001-exit-2
    location: foret-001
    direction: arriere
    name: pont
    events:
      enter-portal:
        actor: *pont000
        observer: *pont001
      leave-portal:
        observer: *pont002
---
id: foret-001
type: Location
events:
  info:
    actor: "Embouchure de la forêt"
  look:
    actor: |
      Après cette escapade, vous reprennez votre souffle un instant. L'embouchure de la forêt
      n'est plus très loin pensez vous. Pendant ce temps de pause, vous remarquez qu'un vieil homme silencieux
      cueillait des champignons non loin de vous. C'est peut etre le moment de lui parler pour savoir s'il connait
      la position exacte de la relique.
contains:
  - vieil-homme-000
---
id: vieil-homme-000
type: Thing
name:
  - homme
props:
  - talkable
events:
  info:
    actor: "Un vieil homme ordinaire"
  look:
    actor: |
      C'est un vieil homme munit d'un panier à champignons dans une main et d'un vieux baton en bois dans l'autre.
      Il porte un chapeau chinois qui cache son regard.
  talk:
    actor: |
      « Bonzour, vous souhaitez savoir zoù est-ce qu'elle est la relique ? Bah vous savez... Moi-même ze sais pas trop...
      Z'avez pas une carte ? Nom de Jabiim ! Trouvez-vous donc z'une carte ! Si vous z'en avez déjà z'une examinez-là pour zavoir vot' direction. »
    observer: "{{actor.name}} parle au vieil homme"
---
id: portal-foret-001-entree-temple-000
type: Portal
exits:
  - id: foret-001-entre-temple-000-nord
    location: foret-001
    direction: nord42
    events:
      enter-portal:
        actor: "Vous sortez de la forêt et continuez votre périple dans un désert." 
        observer: &desert001 "{{actor.name}} sort de la forêt et rejoint le désert."
      leave-portal:
        observer: &desert000 "{{actor.name}} fait demi-tour car la chaleur est insupportable."
  - id: entree-temple-000-foret-001-sud
    location: entree-temple-000
    direction: sud
    events:
      enter-portal:
        actor: "Vous décidez de retraverser le désert pour aller dans la forêt... Mais vous êtes fou ?"
        observer: *desert000
      leave-portal:
        observer: *desert001
---
id: entree-temple-000
type: Location
events:
  info:
    actor: "Entrée du temple de Jabiim"
  look:
    actor: |
      Après quelques kilomètre dans ce désert aride, vous arrivez enfin devant le temple.
      Il n'y a personne, aucune civilisation, seul le bruit de l'air chaud est présent.
      Devant vous se trouve l'entree du temple et vous espérez plus au fond, la relique tant
      convoité...
---
id: portal-entree-temple-000-temple-salle-1-000
type: Portal
exits:
  - id: entre-temple-000-temple-salle-1-000-devant
    location: entree-temple-000
    direction: avant
    events:
      enter-portal:
        actor: "Vous entrez dans ce temple mystérieux et arrivez dans une salle typique d'une civilisation antique"
        observer: &temple001 "{{actor.name}} entre dans le temple."
      leave-portal:
        observer: &temple000 "{{actor.name}} sort du temple."
  - id: temple-salle-1-000-entree-temple-000-derriere
    location: temple-salle-1-000
    direction: arriere
    events:
      enter-portal:
        - props: -relique-000:actif
          actor: "Vous sortez du temple mystérieux alors que vous êtes si près du but..."
          observer: *temple000
        - actor: |
            Vous sortez indemne du temple de Jabiim et échappez à sa malédiction.
            Par miracle, mille et une pièces d'or tombe du ciel. Vous finissez riche et célèbre.
            <script type="text/javascript">
            if (typeof START != "undefined") { clearInterval(START); }
            document.getElementById("inputbox").style.backgroundColor = "#FFFFFF";
            </script>
      leave-portal:
        observer: *temple001
---
id: temple-salle-1-000
type: Location
events:
  info:
    actor: "Hall du temple de Jabiim."
  look:
    actor: "Vous êtes dans le hall du temple de Jabiim. Derrière vous se trouve la sortie. À gauche, en face et à droite de vous se trouvent respectivement trois portes."
---
id: temple-salle-2-000
type: Location
events:
  info:
    actor: "Salle du Pharaon de Jabiim."
  look:
    actor: "Vous êtes dans une salle du temple de Jabiim. À gauche, en face et à droite de vous se trouvent respectivement trois portes."
---
id: temple-salle-3-000
type: Location
events:
  info:
    actor: "Salle du Phénix de Jabiim."
  look:
    actor: "Vous êtes dans une salle du temple de Jabiim. À gauche, en face et à droite de vous se trouvent respectivement trois portes."
---
# Portails salle 1
id: portal-salle-1-salle-1-000
type: Portal
exits:
  - id: temple-salle-1-000-gauche
    location: temple-salle-1-000
    direction: gauche
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
        observer: "{{ actor.name }} vient d'emprunter la porte gauche."
  - id: temple-salle-1-000-vide
    location: temple-salle-1-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
id: portal-salle-1-salle-3-000
type: Portal
exits:
  - id: temple-salle-1-000-avant
    location: temple-salle-1-000
    direction: avant
    events:
      enter-portal:
        - props: -relique-000:actif
          actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
          observer: "{{ actor.name }} vient d'emprunter la porte en face."
        - actor: |
            La malédiction vous a rattrapé.
            <script type="text/javascript">
            if (typeof START != "undefined") { clearInterval(START); }
            document.getElementById("inputbox").style.backgroundColor = "#FFFFFF";
            </script>
          observer: "La malédiction a rattrapé {{ actor.name }}."
          effects:
            type: DeathEffect
  - id: temple-salle-3-000-vide
    location: temple-salle-3-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
id: portal-salle-1-salle-3-001
type: Portal
exits:
  - id: temple-salle-1-000-droite
    location: temple-salle-1-000
    direction: droite
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
        observer: "{{ actor.name }} vient d'emprunter la porte droite."
  - id: temple-salle-3-001-vide
    location: temple-salle-3-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
# Portails salle 2
id: portal-salle-2-salle-3-000
type: Portal
exits:
  - id: temple-salle-2-000-gauche
    location: temple-salle-2-000
    direction: gauche
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
        observer: "{{ actor.name }} vient d'emprunter la porte gauche."
  - id: temple-salle-3-002-vide
    location: temple-salle-3-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
id: portal-salle-2-reliquaire-000
type: Portal
exits:
  - id: temple-salle-2-000-avant
    location: temple-salle-2-000
    direction: avant
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans..."
        observer: "{{ actor.name }} vient d'emprunter la porte en face."
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
  - id: temple-reliquaire-000-vide
    location: temple-reliquaire-000
    direction: arriere
    events:
      enter-portal:
        - props: -relique-000:actif
          actor: "Vous sortez de la salle de la relique."
        - actor: "Une voix se fait entendre : « Plus... Jamais... La porte... D'en face... »"
      leave-portal:
        observer: "{{ actor.name }} vous rejoint dans la salle."
---
id: portal-salle-2-salle-3-001
type: Portal
exits:
  - id: temple-salle-2-000-droite
    location: temple-salle-2-000
    direction: droite
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
        observer: "{{ actor.name }} vient d'emprunter la porte droite."
  - id: temple-salle-3-003-vide
    location: temple-salle-3-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
# Portails salle 3
id: portal-salle-3-salle-2-000
type: Portal
exits:
  - id: temple-salle-3-000-gauche
    location: temple-salle-3-000
    direction: gauche
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
        observer: "{{ actor.name }} vient d'emprunter la porte gauche."
  - id: temple-salle-2-000-vide
    location: temple-salle-2-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
id: portal-salle-3-salle-3-000
type: Portal
exits:
  - id: temple-salle-3-000-avant
    location: temple-salle-3-000
    direction: avant
    events:
      enter-portal:
        - props: -relique-000:actif
          actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
          observer: "{{ actor.name }} vient d'emprunter la porte en face."
        - actor: |
            La malédiction vous a rattrapé.
            <script type="text/javascript">
            if (typeof START != "undefined") { clearInterval(START); }
            document.getElementById("inputbox").style.backgroundColor = "#FFFFFF";
            </script>
          observer: "La malédiction a rattrapé {{ actor.name }}."
          effects:
            type: DeathEffect
  - id: temple-salle-3-004-vide
    location: temple-salle-3-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
id: portal-salle-3-salle-1-000
type: Portal
exits:
  - id: temple-salle-1-001-droite
    location: temple-salle-3-000
    direction: droite
    events:
      enter-portal:
        actor: "Vous traversez la porte et vous retrouvez dans une salle similaire."
        observer: "{{ actor.name }} vient d'emprunter la porte droite."
  - id: temple-salle-1-001-vide
    location: temple-salle-1-000
    events:
      leave-portal:
        observer: "{{ actor.name }} apparaît dans la salle."
---
id: temple-reliquaire-000
type: Location
events:
  info:
    actor: "La Salle de la Relique du Temple de Jabiim."
  look:
    actor: "Cette salle brille de mille feux. En son centre se trouve un socle où est déposé précieusement la relique du temple de Jabiim."
contains:
  - relique-000
---
id: relique-000
type: Thing
name: relique
gender: fem
props:
  - -=relique-000:actif
events:
  info:
    actor: "Relique du temple de Jabiim"
  look:
    - props: -relique-000:actif
      actor: |
        <span style="color: red">MALÉDICTION !! Vous avez osé regarder la relique ! Sortez de ce temple au plus vite !</span>
        <script type="text/javascript">
          if (typeof START == "undefined") {
            var noRed = 0;
            START = setInterval(function() {
              document.getElementById("inputbox").style.backgroundColor = "rgb(255," + noRed + "," + noRed + ")";
              noRed = noRed % 255 + 1;
            }, 1);
          }
        </script>
      effects:
        type: ChangePropEffect
        modifs: =relique-000:actif
    - actor: "La malédiction est déjà lancée !"
---
